body 
{
    display:flex;
    margin: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background-image: url("mountain-wallpaper.jpg");
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    overflow-x: hidden;
}

.logo
{
    display:flex;
    align-items:center;     
    padding:0;
    background-color: #4274D9;
}

.image 
{
    max-width:125px;
    margin:5px;
    height:auto;      
}

.container 
{
    display:flex;
    background-color: #4274D9;
    justify-content: center;
    padding-top: 50px;
    padding-bottom:0;
    align-items:center;
}

.nav-bar
{
    flex-direction:row;
    display:flex;
    margin-top:-50px;
    background-color:black;
}

.nav-ul 
{
  list-style-type: none;
  margin: 0;
  padding:10px;
  overflow: hidden;
  background-color:black;
  display:flex;
  justify-content:center;
}

.nav-bar a
{
    color: white;
    text-decoration: none;
    font-size: 15px;
    font-family: sans-serif;
    padding: 10px 20px;
    background-color: black;
}

.nav-bar a:hover
{
    background-color: #4274D9;
}

.h2
{
    background-color:#4274D9;
    color:white;
    padding:8px;
    margin:20px;
    font-size:20px;
    text-align:center;
}

.p
{
    background-color:#4274D9;
    color:white;
    padding:8px;
    margin:20px;
    font-size:20px;
    text-align:center;
}

table 
{
    margin-left:auto;
    margin-right:auto;
    margin:15px;
    border-collapse: collapse;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 0px;
    overflow: hidden;
    background-color: #4274D9;
    color: white;
    font-family: 'Segoe UI', sans-serif;
    font-size: 18px;
}

th, td 
{
    padding: 21px;
    text-align: center;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

th 
{
    background: rgba(0, 0, 0, 0.2);
    text-transform: uppercase;
    font-size: 25px;
    letter-spacing: 1px;
}

tr:hover 
{
    background: rgba(255, 255, 255, 0.1);
   
}

.footer 
{
    flex-shrink: 0;
    padding: 10px 0;
    margin-top: auto;
    background-color: #4274D9;
    text-align: center;
    color: white;
    font-size: 14px;
}

.weather-icons 
{
    font-size: 30px;
    margin-right: 8px;
    vertical-align: middle;
    color: white;
}

@media screen and (max-width: 600px) 
{
    body 
    {
    background-image: url('mountain-wallpaper.jpg');
    background-size: cover;          
    background-position: center;     
    background-repeat: no-repeat;   
    background-attachment: fixed;
    }

    .mobile-responsive thead 
    {
    display: none;
    }

    .mobile-responsive tr 
    {
    display: flex;
    flex-direction: column; 
    margin-bottom: 20px;  
    border: 2px solid #0d5b8d;
    border-radius: 8px;
    background-color: #0d6efd;
    padding: 10px;
    }

    .mobile-responsive td 
    {
    display: flex;
    justify-content: space-between;
    padding: 8px 5px;
    border-bottom: 1px solid #1480e8;
    font-size: 16px;
    color: #fff;
    text-align: right;
    }

    .mobile-responsive td:nth-of-type(1) 
    {
    font-weight: bold;
    font-size: 18px;
    text-align: center;
    justify-content: center;
    border-bottom: 2px solid #fff;
    }

    .mobile-responsive td:nth-of-type(2)::before 
    {
    content: "Θερμοκρασία: ";
    color: #FFDF22; 
    font-weight: bold;
    }

    .mobile-responsive td:nth-of-type(3)::before 
    {
    content: "Υγρασία: ";
    font-weight: bold;
    }

    .mobile-responsive td:nth-of-type(4)::before 
    {
    content: "Άνεμος: ";
    font-weight: bold;
    }

    .mobile-responsive td:last-child 
    {
    border-bottom: none;
    }
}


/* For tablets */
@media screen and (min-width: 600px) and (max-width: 900px) 
{
}

/* For desktop computers */
@media screen and (min-width: 900px) 
{
}

/* Device dimensions */
@media screen and (max-device-height: 600px) 
{
}

/* Device orientation */
@media screen and (orientation: portrait) 
{  
    body
    {
        background-image: url('mountain-wallpaper.jpg');
    }
}

@media screen and (orientation:landscape)
{
}

/* Device aspect ratio */
@media screen and (device-aspect-ratio: 16/9) 
{
}

